Orchestration build around ActiveRecord hooks tracker

03/02/2016 04:11 AM - Ivan Necas

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This is a tracker around orchestration issues caused or related to

the fact that it's tightly build around the ActiveRecord hooks.

The purpose of this tracker is to raise an awareness of the issues

that the current orchestration and use that as one of criteria

when evaluating different approach to the orchestration.

Related issues:

Related to Foreman - Bug #14001: Wrapping `host.save` call into external tras... New

Related to Discovery - Bug #12256: Rollback during discovered host provisioni... Closed 10/22/2015

Related to Foreman - Bug #13774: SSH provisioning blocks a thread when perfor... New 02/17/2016

Related to Foreman - Bug #13773: The ssh provisioning uses the Ruby#timeout i... New 02/17/2016

Related to Foreman - Bug #13771: Failure in after_commit orchestration is ver... New 02/17/2016

Related to Foreman - Bug #13770: SSH provisioning fails when no puppetca is a... Duplicate 02/17/2016

Related to Foreman - Bug #3541: ec2 provisioning failure in setSSHProvision (... Closed 10/29/2013

Related to Foreman - Bug #13769: SSH provisioning fails when sql logging leve... Closed 02/17/2016

Related to Foreman - Bug #14004: After_commit failure doesn't handle the roll... New 03/02/2016

Related to Foreman - Bug #11987: Bash command used for running provisioning s... Closed 09/29/2015

Related to Foreman - Bug #14047: Orchestration doesn't report in the UI when ... New 03/03/2016

Related to Foreman - Bug #14262: Host orchestration ends up in inconsistent s... New 03/18/2016

Related to foreman-tasks - Bug #14275: Unable to delete host New 03/18/2016

Related to Foreman - Bug #15213: DHCP conflict detection fails with exception... Closed

History

#1 - 03/02/2016 04:13 AM - Ivan Necas

- Related to Bug #14001: Wrapping `host.save` call into external trasnaction causes the `post_commit` orchestration to be triggered even when

failures in `pre_commit` orchestration added

#2 - 03/02/2016 04:13 AM - Ivan Necas

- Related to Bug #12256: Rollback during discovered host provisioning errors with ERF42-8175 and causes post_commit orchestration added

#3 - 03/02/2016 04:14 AM - Ivan Necas

- Related to Bug #13774: SSH provisioning blocks a thread when performing the finish script execution added

#4 - 03/02/2016 04:14 AM - Ivan Necas

- Related to Bug #13773: The ssh provisioning uses the Ruby#timeout interface, which is considered a pretty dangerous thing to do added

#5 - 03/02/2016 04:14 AM - Ivan Necas

- Related to Bug #13771: Failure in after_commit orchestration is very hard to debug added

#6 - 03/02/2016 04:16 AM - Ivan Necas
- Related to Bug #13770: SSH provisioning fails when no puppetca is assigned to the host added

#7 - 03/02/2016 04:19 AM - Ivan Necas

- Related to Bug #3541: ec2 provisioning failure in setSSHProvision (when no CA available?) added

#8 - 03/02/2016 04:20 AM - Ivan Necas

- Related to Bug #13769: SSH provisioning fails when sql logging level is set to 'error' added

#9 - 03/02/2016 05:06 AM - Ivan Necas

- Related to Bug #14004: After_commit failure doesn't handle the rollback for the actions performed from the pre_commit phase and active record

objects added

#10 - 03/02/2016 05:19 AM - Ivan Necas

- Related to Bug #11987: Bash command used for running provisioning script via SSH is masking scripts's exit code added

#11 - 03/03/2016 11:43 AM - Ivan Necas

- Related to Bug #14047: Orchestration doesn't report in the UI when an error while communication to the proxy happens added

#12 - 03/18/2016 09:00 AM - Ivan Necas

- Related to Bug #14262: Host orchestration ends up in inconsistent state when timeout it hit on compute resource added

#13 - 04/13/2016 05:11 AM - Marek Hulán

- Related to Bug #14275: Unable to delete host added

#14 - 05/27/2016 10:45 AM - Marek Hulán

- Related to Bug #15213: DHCP conflict detection fails with exception if proxy is unavailable added
